using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takmicenje
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] red = Console.ReadLine().Trim().Split(' ');
            long L = long.Parse(red[1]);
            red = Console.ReadLine().Trim().Split(' ');
            int PrviPreniskiStalaktit = -1;
            for (int i = 0; i < red.Length; i++)
            {
                if (long.Parse(red[i]) <= L && PrviPreniskiStalaktit == -1)
                {
                    PrviPreniskiStalaktit = i+1;
                }
            }
            Console.WriteLine(PrviPreniskiStalaktit);
        }
    }
}